## org.eclipse.emf.cdo.eresource.impl
Class CDOResourceFolderImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.EStoreEObjectImpl
                      org.eclipse.emf.internal.cdo.CDOObjectImpl
                          org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl
                              org.eclipse.emf.cdo.eresource.impl.CDOResourceFolderImpl

All Implemented Interfaces:
  CDOObject, CDOPackageTypeRegistry.CDOObjectMarker, CDOResourceFolder, CDOResourceNode, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, InternalCDOLoadable, InternalCDOObject

    public class CDOResourceFolderImpl

extends CDOResourceNodeImpl
implements CDOResourceFolder

An implementation of the model object 'CDO Resource Folder'.

Since:
  2.0

  The following features are implemented:

  - `Nodes`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl
`org.eclipse.emf.internal.cdo.CDOObjectImpl.CDOStoreFeatureMap, org.eclipse.emf.internal.cdo.CDOObjectImpl.CDOStoreSettingsImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList<E>, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreFeatureMap, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreEList<E>, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreEPropertiesHolderImpl, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreFeatureMap, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`ENO_SETTINGS, eSettings, eStore, EUNINITIALIZED_CONTAINER`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`ROOT_NAME, ROOT_PATH`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Constructor Summary
`protected` `CDOResourceFolderImpl()`

Method Summary
`void` `delete(java.util.Map<?,?> options)` `deletes` the resource using the specified options, `unloads` it, and then removes it from the `containing` resource set.
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`org.eclipse.emf.common.util.EList<CDOResourceNode>` `getNodes()`
`boolean` `isRoot()`

Methods inherited from class org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl
`basicSetFolder, basicSetName, eStaticFeatureCount, getFolder, getName, getPath, getURI, setFolder, setFolderGen, setName, setNameGen, setPath`

Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoBasicSettings, cdoConflict, cdoDirectResource, cdoID, cdoInternalCleanup, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoSettings, cdoState, cdoView, cdoWriteLock, createFeatureMap, createList, dynamicSet, dynamicUnset, eAdapters, eBasicSetContainer, eBasicSetContainer, eContainerFeatureID, eDirectResource, eDynamicIsSet, eInitializeContainer, eInternalContainer, eIsCaching, equals, eSetDirectResource, eSetResource, eStore, instanceToRevisionFeature, revisionToInstanceFeature, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`dynamicGet, eDerivedStructuralFeatureID, eHasSettings, eProperties, eSetStore, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eBasicAdapters, eBasicProperties, eClass, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`getFolder, getName, getPath, getURI, setFolder, setName, setPath`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedStructuralFeatureID, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

Constructor Detail

### CDOResourceFolderImpl

    protected CDOResourceFolderImpl()

Method Detail

### isRoot

    public boolean isRoot()

  Specified by:
    `isRoot` in interface `CDOResourceNode`

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `CDOResourceNodeImpl`

### getNodes

    public org.eclipse.emf.common.util.EList<CDOResourceNode> getNodes()

  Specified by:
    `getNodes` in interface `CDOResourceFolder`
  Returns:
    the value of the 'Nodes' containment reference list.
  See Also:
    `EresourcePackage.getCDOResourceFolder_Nodes()`, `CDOResourceNode.getFolder()`

### delete

    public void delete(java.util.Map<?,?> options)
                throws java.io.IOException

  Description copied from interface: `CDOResourceNode`
  `deletes` the resource using the specified options, `unloads` it, and then removes it from the `containing` resource set.

  Options are handled generically as feature-to-setting entries; the resource will ignore options it doesn't recognize. The options could even include things like an Eclipse progress monitor...

  An implementation typically uses the `URI converter` of the `containing` resource set to `URIConverter.delete(URI, Map)` the resource's `URI`.

  Specified by:
    `delete` in interface `CDOResourceNode`
  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.